import std.string;
import std.file;

string getClean(string value)
{
    foreach(item; ["%U", "%u", "%F", "%f", "\n"])
        value = value.replace(item, "");
    value = value.replace("&", "&amp;");
    value = value.replace("%", "%%");
    value = value.strip();
    return value;
}
 

string getCleanValue(string value)
{
    return getClean(split(value, "=")[1]);
}


bool isComment(string line)
{
    return ( (startsWith(line, "#")) || (strip(line).length == 0) );
}


bool matchFilter(string value, string filter)
{
    return startsWith(value, filter);
}


string[] getDotDesktopFiles(string[] locations)
{
    string[] filesList;
    foreach(dir; locations)
    {
        if (exists(dir))
            foreach(file; listdir(dir, "*.desktop"))
                filesList ~= file;
    }
    return filesList;
}

